package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 会员续约枚举类型
 * @Author: jiang chao
 * @Time: 2024/5/30 11:21
 * @Classname: EMemberContinus
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EMemberContinue {

    /**
     * 注册订单
     */
    REGISTER_ORDER(1, "注册订单"),

    /**
     * 升级订单
     */
    UPGRADE_ORDER(2, "升级订单"),

    /**
     * 注册撤单
     */
    REGISTER_CANCEL(3, "注册撤单"),

    /**
     * 升级撤单
     */
    UPGRADE_CANCEL(4, "升级撤单"),

    /**
     * 会员修改奖衔
     */
    CHANGE_AWARDS(5, "修改奖衔"),

    /**
     * 修改会员姓名、手机号
     */
    CHANGE_INFO(6, "变更户籍"),

    /**
     * 购买续约礼包
     */
    BUY_GIFT(7, "续约礼包"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;

}
